petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscDualSpaceGetNumDof

Get the number of degrees of freedom for each spatial (topological) dimension

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetNumDof(PetscDualSpace sp, const PetscInt **numDof)

Not collective

### Input Parameter

sp -The PetscDualSpace

### Output Parameter

numDof -An array of length dim+1 which holds the number of dofs for each dimension

### See Also

PetscDualSpaceGetFunctional(), PetscDualSpaceCreate()

Level:intermediate
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages